GET api/internalApp/getProductInfo?get={get}&productId={productId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| get | boolean |
Required |
|
| productId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of vProductInfoUnique| Name | Description | Type | Additional information |
|---|---|---|---|
| productlistid | integer |
None. |
|
| producttypeid | string |
None. |
|
| model | string |
None. |
|
| quantity | integer |
None. |
|
| Description | string |
None. |
|
| productbrandid | integer |
None. |
|
| weight_grams | decimal number |
None. |
|
| volume_cm3 | integer |
None. |
|
| product_image | string |
None. |
|
| abbr | string |
None. |
|
| model_public | string |
None. |
|
| description_public | string |
None. |
|
| dateUpdated | date |
None. |
|
| status | string |
None. |
|
| actionID | integer |
None. |
|
| productpriceid | integer |
None. |
|
| marketvalue | decimal number |
None. |
|
| returnvalue | decimal number |
None. |
|
| pricelistID | integer |
None. |
|
| productcategory | integer |
None. |
|
| productcondition | integer |
None. |
|
| iscurrent | boolean |
None. |
|
| ProductCategoryID | integer |
None. |
|
| ProductCatergoryName | string |
None. |
|
| conditionID | integer |
None. |
|
| conditionName | string |
None. |
|
| productbrandname | string |
None. |
|
| productActionID | integer |
None. |
|
| productActionName | string |
None. |
|
| defaultbox | integer |
None. |
|
| boxname | string |
None. |
|
| height | decimal number |
None. |
|
| width | decimal number |
None. |
|
| depth | decimal number |
None. |
|
| emptyweight | decimal number |
None. |
|
| layers | integer |
None. |
|
| layerqty | integer |
None. |
|
| actionDetail | integer |
None. |
|
| actiondetaildescription | string |
None. |
|
| actiondetailcolour | string |
None. |
|
| stock | boolean |
None. |
|
| salesStock | boolean |
None. |
|
| totalqty | integer |
None. |
|
| fullweight | decimal number |
None. |
|
| weight | decimal number |
None. |
|
| wasteCategory | integer |
None. |
|
| wastecategoryname | string |
None. |
|
| realWeight | integer |
None. |
|
| lastSalePrice | decimal number |
None. |
|
| movingPrice | decimal number |
None. |
|
| IMP | decimal number |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"productlistid": 1,
"producttypeid": "sample string 2",
"model": "sample string 3",
"quantity": 4,
"description": "sample string 5",
"productbrandid": 6,
"weight_grams": 7.0,
"volume_cm3": 8,
"product_image": "sample string 9",
"abbr": "sample string 10",
"model_public": "sample string 11",
"description_public": "sample string 12",
"dateUpdated": "2026-03-11T04:42:34.0615975+00:00",
"status": "sample string 13",
"actionID": 14,
"productpriceid": 1,
"marketvalue": 1.0,
"returnvalue": 1.0,
"pricelistID": 1,
"productcategory": 1,
"productcondition": 1,
"iscurrent": true,
"productCategoryID": 1,
"productCatergoryName": "sample string 15",
"conditionID": 1,
"conditionName": "sample string 16",
"productbrandname": "sample string 17",
"productActionID": 1,
"productActionName": "sample string 18",
"defaultbox": 1,
"boxname": "sample string 19",
"height": 1.1,
"width": 1.1,
"depth": 1.1,
"emptyweight": 1.1,
"layers": 1,
"layerqty": 1,
"actionDetail": 1,
"actiondetaildescription": "sample string 20",
"actiondetailcolour": "sample string 21",
"stock": true,
"salesStock": true,
"totalqty": 1,
"fullweight": 1.1,
"weight": 1.1,
"wasteCategory": 1,
"wastecategoryname": "sample string 22",
"realWeight": 23,
"lastSalePrice": 1.0,
"movingPrice": 1.0,
"imp": 1.0
},
{
"$ref": "1"
}
]